// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Lanceur;
import frc.robot.subsystems.limelight;

public class AprilTag extends CommandBase {
  private limelight limelight;
  private Lanceur lanceur;
  /** Creates a new Limelight. */
  public AprilTag(limelight limelight,Lanceur lanceur) {
    this.lanceur = lanceur;
    this.limelight = limelight;
    addRequirements(limelight,lanceur);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    limelight.lumiere();
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    lanceur.lancer(0.5);
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    lanceur.lancer(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
